\version "2.18.2"

\include "source.ily"

\header {
  title = "Fyer, fyer!"
  composer = \markup {
    \override #'(baseline-skip . 2)
    \right-column {
      "Thomas Morley"
      "(c. 1557 – 1602)"
    }
  }
  copyright = \markup {\small "Copyright © 2016 by CPDL. This edition can be fully distributed, duplicated, performed, and recorded." }
  tagline = \markup {\rounded-box \center-column { 
    \small \concat { "Source: " \italic "Balletts to Five Voyces, Book 1." " London: Thomas Este, 1595, No. XIV."}  
    {\small "Transposed up a whole step from original key- voiced for SSATB"}
    {\small #(string-append "Engraved by Jon Arnold using Lilypond v. " (lilypond-version))} 
                     }
  }

}

\paper {
  #(set-paper-size "letter")
}
#(set-global-staff-size 18)

\layout {
  \context {
    \Voice
    \consists "Melody_engraver"
    \override Stem #'neutral-direction = #'()
  }
}



pianoReduction = \new PianoStaff \with {
  fontSize = #-1
  \override StaffSymbol #'staff-space = #(magstep -1)
} <<
  \new Staff \with {
    \consists "Mark_engraver"
    \consists "Metronome_mark_engraver"
    \remove "Staff_performer"
  } {
    #(set-accidental-style 'piano)
    <<
      \cantus \\
      \altus
    >>
  }
  \new Staff \with {
    \remove "Staff_performer"
  } {
    \clef bass
    #(set-accidental-style 'piano)
    <<
      \tenor \\
      \quintus \\
      \bassus
    >>
  }
>>

rehearsalMidi = #
(define-music-function
 (parser location name midiInstrument lyrics) (string? string? ly:music?)
 #{
   \unfoldRepeats <<
     \new Staff = "cantus" \new Voice = "cantus" { \transpose f g \cantus }
     \new Staff = "altus" \new Voice = "altus" { \transpose f g \altus }
     \new Staff = "tenor" \new Voice = "tenor" { \transpose f g \tenor }
     \new Staff = "quintus" \new Voice = "quintus" { \transpose f g \quintus }
     \new Staff = "bassus" \new Voice = "bassus" { \transpose f g \bassus }
     \context Staff = $name {
       \set Score.midiMinimumVolume = #0.5
       \set Score.midiMaximumVolume = #0.5
       \set Score.tempoWholesPerMinute = #(ly:make-moment 144 4)
       \set Staff.midiMinimumVolume = #0.8
       \set Staff.midiMaximumVolume = #1.0
       \set Staff.midiInstrument = $midiInstrument
     }
     \new Lyrics \with {
       alignBelowContext = $name
     } \lyricsto $name $lyrics
   >>
 #})

\score {
  <<
    \new ChoirStaff <<
      \new Staff \with {
        midiInstrument = "choir aahs"
        instrumentName = \markup \center-column {"Cantus" "[S.]"}
      } { \transpose f g \cantus }
      \addlyrics { \cantusVerseOne }
      \addlyrics { \cantusVerseTwo }
      \new Staff \with {
        midiInstrument = "choir aahs"
        instrumentName = \markup \center-column {"Altus" "[S.]"}
      } { \transpose f g \altus }
      \addlyrics { \altusVerseOne }
      \addlyrics { \altusVerseTwo }
      \new Staff \with {
        midiInstrument = "choir aahs"
        instrumentName = \markup \center-column {"Tenor" "[A.]"}
      } { \transpose f g  \tenor }
      \addlyrics { \tenorVerseOne }
      \addlyrics { \tenorVerseTwo }
      \new Staff \with {
        midiInstrument = "choir aahs"
        instrumentName = \markup \center-column {"Quintus" "[T.]"}
      } { \clef "treble_8" \transpose f g \quintus }
      \addlyrics { \quintusVerseOne }
      \addlyrics { \quintusVerseTwo }
      \new Staff \with {
        midiInstrument = "choir aahs"
        instrumentName = \markup \center-column {"Bassus" "[B.]"}
      } { \clef bass \transpose f g \bassus }
      \addlyrics { \bassusVerseOne }
      \addlyrics { \bassusVerseTwo }
    >>
    %\pianoReduction
  >>
  \layout { }
  \midi {
    \tempo 4=144
  }
}

% Rehearsal MIDI files:
\book {
  \bookOutputSuffix "sop1"
  \score {
    \rehearsalMidi "cantus" "soprano sax" \cantusVerseOne
    \midi { }
  }
}

\book {
  \bookOutputSuffix "sop2"
  \score {
    \rehearsalMidi "altus" "soprano sax" \altusVerseOne
    \midi { }
  }
}

\book {
  \bookOutputSuffix "alto"
  \score {
    \rehearsalMidi "tenor" "alto sax" \tenorVerseOne
    \midi { }
  }
}

\book {
  \bookOutputSuffix "tenor"
  \score {
    \rehearsalMidi "quintus" "tenor sax" \quintusVerseOne
    \midi { }
  }
}

\book {
  \bookOutputSuffix "bass"
  \score {
    \rehearsalMidi "bassus" "tenor sax" \bassusVerseOne
    \midi { }
  }
}

